unit PlugInBug;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  PlugInInterfaceUnit, Menus, comctrls;

type
  TPlugInBug = class(TComponent, IPlugInInterface)
  private
    { Private declarations }
    FApp: TObject;
    IApp: IapplicationPluginInterface;
  protected
    { Protected declarations }
   Procedure GetMenu(menu: TMenuItem);
   Procedure Init(Sender: TObject);
   Procedure ProcHelloBug(Sender: TObject);
  public
    { Public declarations }
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('BUG', [TPlugInBug]);
end;

{ TPlugInBug }

procedure TPlugInBug.GetMenu(menu: TMenuItem);
var
 mn: TmenuItem;
begin
  mn :=  TmenuItem.Create(self);
  with mn do begin
    Caption := 'Hello Bug';
    onClick := ProcHelloBug;
  end;

 menu.Add(mn);


end;

procedure TPlugInBug.Init(Sender: TObject);
begin
  FApp := Sender;
  FApp.GetInterface(IapplicationPluginInterface, IApp);
end;

procedure TPlugInBug.ProcHelloBug(Sender: TObject);
var
  st: TStatusBar;
begin
  IApp.getAppStatus(St);
  st.Panels[0].Text := 'Hello Bug Down Here Too! - Again';
  ShowMessage('Hello Bug');
end;

Initialization
  RegisterClass(TPlugInBug);

Finalization
  UnRegisterClass(TPlugInBug);

end.
 